/*
 * Kaffeine libmpv part
 * Copyright (C) 2023 Mavridis Philippe <mavridisf@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef __LIBMPVERRORDLG_H__
#define __LIBMPVERRORDLG_H__

// TDE
#include <kdialogbase.h>

class MpvPart;

class MpvErrorDlg : public KDialogBase {
    public:
        MpvErrorDlg(MpvPart *part);
        ~MpvErrorDlg();

    protected slots:
        void slotUser1(); // ignore
        void slotUser2(); // stop
        void slotUser3(); // view log

    private:
        MpvPart *m_part;
};

class MpvFatalErrorDlg : public KDialogBase {
    public:
        MpvFatalErrorDlg(MpvPart *part);
        ~MpvFatalErrorDlg();

    protected slots:
        void slotUser1(); // stop
        void slotUser2(); // view log

    private:
        MpvPart *m_part;
};

#endif // __LIBMPVERRORDLG_H__